What are the challenges you face when working across database platforms? Take the survey
Options

Is there a new version of Scream

AndyScottAndyScott Posts: 16
edited January 18, 2007 4:42AM in Scream
Is there a new version of Scream that can compare snapshots taken from version SQL Compare 5.2? can it compare the new snapshots against older snapshots taken with SQL Compare 5?

Comments

  • Options
    The version 0.2 that is currently out should be able to compare snapshots from version 5.0, 5.1 or 5.2. I built it against the engine from 5.1 although there were no changes to the snapshots for 5.2.

    It should also be able to compare snapshots from older versions without any problems.

    HTH
    Richard Mitchell
    Project Manager
    Red Gate Software Ltd
  • Options
    Hi Richard,
    I have upgraded to the current scream downoad and everything is working perfectly again.

    Andy
  • Options
    Brilliant.

    Always a relief when that happens :D
    Richard Mitchell
    Project Manager
    Red Gate Software Ltd
  • Options
    Hi,

    Does this work with Sql Server 2005???

    thanks,

    Fred
    richardjm wrote:
    Brilliant.

    Always a relief when that happens :D
  • Options
    Hi,

    Does this work with Sql Server 2005???

    thanks,

    Fred
    richardjm wrote:
    Brilliant.

    Always a relief when that happens :D

    Yes there shouldn't be a problem using it with SQL Server 2005. Or at least the snapshots that SQL Compare generates from a SQL Server 2005 database.
    Richard Mitchell
    Project Manager
    Red Gate Software Ltd
  • Options
    thanks for your reply. just tried to install it, and it says setup requries .NET Framework 1.1.4322. We are on .NET 2...i'm leary about trying to install the prev version of the framework! what to do?

    thanks,

    fred
    richardjm wrote:
    Hi,

    Does this work with Sql Server 2005???

    thanks,

    Fred
    richardjm wrote:
    Brilliant.

    Always a relief when that happens :D

    Yes there shouldn't be a problem using it with SQL Server 2005. Or at least the snapshots that SQL Compare generates from a SQL Server 2005 database.
  • Options
    OK, I've changed the installer so it doesn't require 1.1 to be installed but will work if either of framework 1.1 or 2.0 are installed.

    It should work fine with either framework.

    Hope this helps.
    Richard Mitchell
    Project Manager
    Red Gate Software Ltd
  • Options
    thanks for your quick response!

    it installed fine, but it won't open snapshots created with the latest version of sql compare. (i've got 5.30.44)

    :(

    fred
    richardjm wrote:
    OK, I've changed the installer so it doesn't require 1.1 to be installed but will work if either of framework 1.1 or 2.0 are installed.

    It should work fine with either framework.

    Hope this helps.
  • Options
    OK the snapshot format has changed in the latest version so I'll have to do a recompile against the latest engine. I'll get back to you as soon as I can regarding this.

    Shouldn't take me long :roll:
    Richard Mitchell
    Project Manager
    Red Gate Software Ltd
  • Options
    Right I've compiled up a new version of Scream with the latest engine from SQL Compare. I've also thrown in a couple of new features that people have been requesting that I'll blog about shortly mainly these are the optional arguments /n1 and /n2 for the names of the two files coming from a Source Control system and an option to turn off showing identical objects.

    Have fun with it.
    Richard Mitchell
    Project Manager
    Red Gate Software Ltd
Sign In or Register to comment.